<?php
/* db.php ─ central helper
   ─ Connects to SQLite file mailer.sqlite (created on first call)
   ─ Ensures a minimal users table exists             */
function db(): PDO
{
    static $pdo = null;
    if ($pdo) return $pdo;

    $pdo = new PDO('sqlite:' . __DIR__ . '/mailer.sqlite');
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $pdo->exec("
      CREATE TABLE IF NOT EXISTS users (
        id            INTEGER PRIMARY KEY AUTOINCREMENT,
        email         TEXT UNIQUE NOT NULL,
        username      TEXT NOT NULL,
        password_hash TEXT NOT NULL,
        plan          TEXT DEFAULT 'free',
        created_at    DATETIME DEFAULT CURRENT_TIMESTAMP
      );
    ");
    return $pdo;
}
