<?php
/* flash.php – tiny session-based flash messages (Bootstrap ready) */

if (session_status() !== PHP_SESSION_ACTIVE) {
    session_start();
}

/* queue one message */
function flash(string $type, string $msg): void
{
    $_SESSION['flash'][$type][] = $msg;
}

/* pull & clear the queue */
function flash_all(): array
{
    $all = $_SESSION['flash'] ?? [];
    unset($_SESSION['flash']);
    return $all;
}

/* default renderer (include once inside <body>) */
function flash_render(): void
{
    foreach (flash_all() as $type => $list) {
        $bs = match ($type) {
            'success' => 'success',
            'error'   => 'danger',
            default   => 'secondary'
        };
        foreach ($list as $txt) {
            echo '<div class="alert alert-'.$bs.' alert-dismissible fade show" role="alert">'
                . htmlspecialchars($txt)
                . '<button type="button" class="btn-close" data-bs-dismiss="alert"></button>'
                . '</div>';
        }
    }
}
