<?php
session_start();
$title='Mailer Nebula';

/* redirect after login later if you like
   if(isset($_SESSION['uid'])) header('Location: dashboard.php'); */

$plans=[
 ['name'=>'Free','price'=>0,'cap'=>'500 emails / month',
  'features'=>['1 SMTP slot','Basic stats']],
 ['name'=>'Pro','price'=>25,'cap'=>'15 000 emails / month',
  'features'=>['10 SMTP slots','Scheduler','Telegram alerts']],
 ['name'=>'Hyper','price'=>50,'cap'=>'50 000 emails / month',
  'features'=>['Unlimited SMTPs','Priority routing','API access']],
 ['name'=>'Ultra','price'=>100,'cap'=>'150 000 emails / month',
  'features'=>['All Hyper perks','24 / 7 support','Dedicated IPs']],
 ['name'=>'Lifetime','price'=>200,'cap'=>'Unlimited forever',
  'features'=>['One-time payment','Unlimited everything']]
];
?><!doctype html>
<html lang="en"><head>
<meta charset="utf-8"><title><?=$title?></title>
<meta name="viewport" content="width=device-width,initial-scale=1">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
<link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.css" rel="stylesheet">
<style>
/* cosmic bg */
body{margin:0;min-height:100vh;display:flex;flex-direction:column;
     background:#000;color:#fff;font-family:system-ui,Segoe UI,Roboto,sans-serif}
body::before{
  content:'';position:fixed;inset:0;z-index:-3;
  background:
    radial-gradient(circle at 20% 30%,#00ffff33 0 40%,transparent 60%),
    radial-gradient(circle at 80% 70%,#ff00ff33 0 40%,transparent 60%);
}
body::after{content:'';position:fixed;inset:0;z-index:-2;
  background:url('https://raw.githubusercontent.com/JulianLaval/canvas-particle-network/master/img/stars.png');
  animation:drift 90s linear infinite}
@keyframes drift{to{transform:translateY(1000px)}}

/* glass cards */
.card-glass{
  background:rgba(255,255,255,.05);
  border:1px solid rgba(255,255,255,.15);
  backdrop-filter:blur(12px);
  border-radius:1rem;
  transition:transform .5s,box-shadow .5s;
  transform-style:preserve-3d;
}
.card-glass:hover{
  transform:translateY(-10px) rotateX(6deg) rotateY(-6deg);
  box-shadow:0 0 20px #0ff;
}
/* neon CTA */
.neon-btn{position:relative;color:#0ff;border:1px solid #0ff;padding:.75rem 2.5rem;
          text-shadow:0 0 6px #0ff;font-weight:600}
.neon-btn::after{content:'';position:absolute;inset:0;border-radius:.35rem;
                 box-shadow:0 0 15px #0ff;opacity:0;transition:.3s}
.neon-btn:hover::after{opacity:1}
@keyframes pulse{50%{box-shadow:0 0 25px #0ff}}
.callout{animation:pulse 3s ease-in-out infinite}
/* header gradient text */
.grad-text{background:linear-gradient(90deg,#0ff,#f0f,#0ff 200%);
           -webkit-background-clip:text;background-clip:text;color:transparent;
           animation:shift 8s linear infinite}
@keyframes shift{to{background-position:200% 0}}
@media(max-width:575px){.plan-col{flex:0 0 100%}}
</style></head><body>

<!-- navbar -->
<nav class="navbar navbar-dark bg-transparent px-3">
  <span class="navbar-brand fw-bold">Mailer&nbsp;Nebula</span>
  <div class="d-flex gap-2">
    <?php if(empty($_SESSION['uid'])):?>
      <a href="login.php"  class="btn btn-outline-light btn-sm">Log in</a>
      <a href="signup.php" class="btn neon-btn btn-sm">Sign&nbsp;up</a>
    <?php else:?>
      <span class="text-white-50 small align-self-center">Hi, <?=htmlspecialchars($_SESSION['user'])?></span>
      <a href="logout.php" class="btn btn-outline-light btn-sm">Logout</a>
    <?php endif;?>
  </div>
</nav>

<!-- hero -->
<header class="text-center my-5">
  <h1 class="display-3 fw-bold grad-text">Send e-mails at lightspeed</h1>
  <p class="lead text-white-50 mb-5">
    SMTP rotation&nbsp;&bull;&nbsp;live analytics&nbsp;&bull;&nbsp;crypto billing — all in one nebula.
  </p>
</header>

<!-- plan showcase -->
<main class="container pb-5 flex-grow-1">
  <div class="row gy-4 justify-content-center">
    <?php foreach($plans as $p):?>
      <div class="col-12 col-sm-6 col-lg-4 plan-col d-flex">
        <div class="card-glass p-4 text-center w-100 d-flex flex-column">
          <h3 class="h4 mb-2"><?=$p['name']?></h3>
          <h4 class="display-6 mb-2">$<?=$p['price']?></h4>
          <p class="small text-info mb-3"><?=$p['cap']?></p>
          <ul class="list-unstyled text-start mb-4 small flex-grow-1">
            <?php foreach($p['features'] as $f):?>
              <li class="mb-1"><i class="bi bi-stars me-2 text-info"></i><?=$f?></li>
            <?php endforeach;?>
          </ul>
        </div>
      </div>
    <?php endforeach;?>
  </div>

  <!-- single CTA -->
  <div class="text-center mt-5">
    <a href="plans.php" class="btn neon-btn callout">View Plans&nbsp;/&nbsp;Upgrade</a>
  </div>
</main>

<footer class="text-center text-white-50 py-3 small">
  &copy; <?=date('Y')?> Mailer Nebula
</footer>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
</body></html>
