<?php
session_start();
require_once __DIR__.'/db.php';

$msg=''; $ok=isset($_GET['ok']);

if ($_SERVER['REQUEST_METHOD']==='POST'){
    $email=trim($_POST['email']??'');
    $pass =$_POST['password']??'';

    $st=db()->prepare("SELECT id,username,plan,password_hash FROM users WHERE email=?");
    $st->execute([$email]);
    $row=$st->fetch(PDO::FETCH_ASSOC);

    if($row && password_verify($pass,$row['password_hash'])){
        $_SESSION['uid']=$row['id'];
        $_SESSION['user']=$row['username'];
        $_SESSION['plan']=$row['plan'];
        header('Location: dashboard.php');exit;
    }
    $msg='Invalid credentials';
}
?>
<!doctype html><html lang="en"><head>
<meta charset="utf-8">
<title>Log in – Mailer Nebula</title>
<meta name="viewport" content="width=device-width,initial-scale=1">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
<link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.css" rel="stylesheet">
<style>
/* cosmic bg --------------------------------------------------*/
body{margin:0;min-height:100vh;display:flex;align-items:center;justify-content:center;
     background:#000;font-family:system-ui,Segoe UI,Roboto,sans-serif;color:#fff}
body::before{
  content:'';position:fixed;inset:0;z-index:-3;
  background:
    radial-gradient(circle at 25% 35%,#00ffff33 0 40%,transparent 70%),
    radial-gradient(circle at 75% 70%,#ff00ff33 0 40%,transparent 70%);
}
body::after{
  content:'';position:fixed;inset:0;z-index:-2;
  background:url('https://raw.githubusercontent.com/JulianLaval/canvas-particle-network/master/img/stars.png');
  animation:drift 90s linear infinite}
@keyframes drift{to{transform:translateY(1000px)}}

/* glass card -----------------------------------------------*/
.card-glass{
  background:rgba(255,255,255,.04);
  border:1px solid rgba(255,255,255,.15);
  backdrop-filter:blur(14px);
  border-radius:1.2rem;
  width:360px;padding:2.5rem 2rem;
}

/* neon inputs ----------------------------------------------*/
.neon-input{
  background:transparent;border:none;border-bottom:2px solid rgba(0,255,255,.4);
  border-radius:0;color:#fff;padding:.75rem 0 .25rem 0;outline:none;width:100%;
  transition:border-color .4s,box-shadow .4s;
}
.neon-input:focus{
  border-color:#0ff;box-shadow:0 0 10px #0ff;
}
.neon-input::placeholder{color:rgba(255,255,255,.35)}
.label-float{
  position:absolute;left:0;top:0.2rem;font-size:.9rem;color:rgba(255,255,255,.55);
  transition:transform .3s,opacity .3s;
}
.neon-input:focus+.label-float,
.neon-input:not(:placeholder-shown)+.label-float{
  transform:translateY(-1.3rem) scale(.85);opacity:.8}
.form-field{position:relative;margin-bottom:1.75rem}

/* neon button ----------------------------------------------*/
.btn-neon{
  position:relative;color:#0ff;font-weight:600;border:1px solid #0ff;
  text-shadow:0 0 6px #0ff;background:transparent
}
.btn-neon::after{
  content:'';position:absolute;inset:0;border-radius:.35rem;
  box-shadow:0 0 12px #0ff;opacity:0;transition:.3s}
.btn-neon:hover::after{opacity:1}
</style>
</head><body>

<div class="card-glass">
  <h1 class="h4 text-center mb-4"><i class="bi bi-person-circle me-2"></i>Log&nbsp;in</h1>

  <?php if($ok):?>
    <div class="alert alert-success py-2 small">Account created! Please log in.</div>
  <?php endif;?>
  <?php if($msg):?>
    <div class="alert alert-danger py-2 small"><?=$msg?></div>
  <?php endif;?>

  <form method="post" autocomplete="off">
    <div class="form-field">
      <input class="neon-input" name="email" type="email" placeholder=" " required>
      <label class="label-float">E-mail</label>
    </div>

    <div class="form-field">
      <input class="neon-input" name="password" type="password" placeholder=" " required>
      <label class="label-float">Password</label>
    </div>

    <button class="btn btn-neon w-100 mt-2">Log in</button>
    <div class="text-center small text-white-50 mt-3">
      No account? <a class="link-info" href="signup.php">Sign up</a>
    </div>
  </form>
</div>

</body></html>
