<?php
session_start();
require_once __DIR__.'/db.php';

$msg=''; $plan = $_GET['plan'] ?? 'free';

if ($_SERVER['REQUEST_METHOD']==='POST'){
  $email = trim($_POST['email']??'');
  $user  = trim($_POST['username']??'');
  $pass  = $_POST['password']??'';
  $plan  = $_POST['plan'] ?? 'free';

  if(!filter_var($email,FILTER_VALIDATE_EMAIL) || $user==='' || strlen($pass)<6){
      $msg='Please fill all fields correctly (password ≥ 6 chars)';
  }else{
      try{
          db()->prepare("INSERT INTO users (email,username,password_hash,plan)
                         VALUES (?,?,?,?)")
             ->execute([$email,$user,password_hash($pass,PASSWORD_BCRYPT),$plan]);
          header('Location: login.php?ok=1'); exit;
      }catch(PDOException $e){ $msg='E-mail already exists'; }
  }
}
?>
<!doctype html><html lang="en"><head>
<meta charset="utf-8">
<title>Sign up – Mailer Nebula</title>
<meta name="viewport" content="width=device-width,initial-scale=1">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
<link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.css" rel="stylesheet">
<style>
/* cosmic background */
body{margin:0;min-height:100vh;display:flex;align-items:center;justify-content:center;
     background:#000;color:#fff;font-family:system-ui,Segoe UI,Roboto,sans-serif}
body::before{
  content:'';position:fixed;inset:0;z-index:-3;
  background:radial-gradient(circle at 25% 35%,#00ffff33 0 40%,transparent 70%),
             radial-gradient(circle at 75% 70%,#ff00ff33 0 40%,transparent 70%);
}
body::after{
  content:'';position:fixed;inset:0;z-index:-2;
  background:url('https://raw.githubusercontent.com/JulianLaval/canvas-particle-network/master/img/stars.png');
  animation:drift 90s linear infinite}
@keyframes drift{to{transform:translateY(1000px)}}

/* glass card */
.card-glass{
  background:rgba(255,255,255,.04);
  border:1px solid rgba(255,255,255,.15);
  backdrop-filter:blur(14px);
  border-radius:1.2rem;
  width:380px;padding:2.5rem 2rem;
}

/* neon input */
.neon-input{
  background:transparent;border:none;border-bottom:2px solid rgba(0,255,255,.4);
  border-radius:0;color:#fff;width:100%;padding:.75rem 0 .25rem 0;
  outline:none;transition:border-color .4s,box-shadow .4s;
}
.neon-input:focus{border-color:#0ff;box-shadow:0 0 10px #0ff}
.neon-input::placeholder{color:rgba(255,255,255,.35)}
.label-float{position:absolute;left:0;top:.2rem;font-size:.9rem;color:rgba(255,255,255,.55);
  transition:transform .3s,opacity .3s}
.neon-input:focus+.label-float,
.neon-input:not(:placeholder-shown)+.label-float{
  transform:translateY(-1.3rem) scale(.85);opacity:.8}
.form-field{position:relative;margin-bottom:1.75rem}

/* neon button */
.btn-neon{
  position:relative;color:#0ff;font-weight:600;border:1px solid #0ff;background:transparent;
  text-shadow:0 0 6px #0ff;
}
.btn-neon::after{
  content:'';position:absolute;inset:0;border-radius:.35rem;
  box-shadow:0 0 12px #0ff;opacity:0;transition:.3s}
.btn-neon:hover::after{opacity:1}
</style>
</head><body>

<div class="card-glass">
  <h1 class="h4 text-center mb-4">
    <i class="bi bi-person-plus me-2"></i>Create&nbsp;account<span class="small text-info"> (<?=htmlspecialchars($plan)?>)</span>
  </h1>

  <?php if($msg):?><div class="alert alert-danger py-2 small"><?=$msg?></div><?php endif;?>

  <form method="post" autocomplete="off">
    <input type="hidden" name="plan" value="<?=htmlspecialchars($plan)?>">

    <div class="form-field">
      <input name="email" class="neon-input" type="email" placeholder=" " required>
      <label class="label-float">E-mail</label>
    </div>

    <div class="form-field">
      <input name="username" class="neon-input" placeholder=" " required>
      <label class="label-float">Username</label>
    </div>

    <div class="form-field">
      <input name="password" class="neon-input" type="password" placeholder=" " required>
      <label class="label-float">Password</label>
    </div>

    <button class="btn btn-neon w-100 mt-2">Sign&nbsp;up</button>
    <div class="text-center small text-white-50 mt-3">
      Have an account? <a class="link-info" href="login.php">Log in</a>
    </div>
  </form>
</div>

</body></html>
